Page MenuHomePhabricator

Drop Ruby Selenium CI jobs; we don't support them any more
Open, Stalled, NormalPublic0 Story Points

Description

We deprecated the Ruby selenium framework in 2017 (Blog Post: Selenium Ruby framework deprecated) and what migration is likely to ever be done has already happened (see T139740). Let's pull the bandage off.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2019, 7:49 PM
zeljkofilipin changed the task status from Open to Stalled.Apr 5 2019, 3:51 PM
zeljkofilipin updated the task description. (Show Details)

Ruby framework is still working, but failing sometimes, see T219920: CI tests disabled: Steps that require login are disabled and should be restored.. Nobody has the time to debug failures.

To completely deprecate Ruby Selenium framework, I guess only a few Jenkins jobs should be deleted:

I'll check the status of the migration in T139740 and update this task with what's left to do.

zeljkofilipin changed the task status from Stalled to Open.Jul 9 2019, 2:37 PM
zeljkofilipin claimed this task.
zeljkofilipin moved this task from Backlog to In progress on the Continuous-Integration-Config board.
zeljkofilipin moved this task from INBOX to Doing on the Release-Engineering-Team-TODO (201907) board.

Change 521870 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Delete mwselenium-quibble-docker for ArticlePlaceholder and WikibaseMediaInfo

https://gerrit.wikimedia.org/r/521870

Change 521870 merged by jenkins-bot:
[integration/config@master] Delete mwselenium-quibble-docker for ArticlePlaceholder and WikibaseMediaInfo

https://gerrit.wikimedia.org/r/521870

Change 521879 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/CentralAuth@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/521879

Change 521881 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Do not run Ruby and/or Selenium jobs for CentralAuth

https://gerrit.wikimedia.org/r/521881

Change 521883 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Do not run Ruby and/or Selenium jobs for CentralNotice

https://gerrit.wikimedia.org/r/521883

Change 521884 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/CentralNotice@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/521884

Change 521883 merged by jenkins-bot:
[integration/config@master] Do not run Ruby and/or Selenium jobs for CentralNotice

https://gerrit.wikimedia.org/r/521883

Change 522064 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Do not run Ruby and/or Selenium jobs for GettingStarted

https://gerrit.wikimedia.org/r/522064

Change 522066 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/GettingStarted@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/522066

Change 522080 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/MultimediaViewer@master] Selenium: do not run selenium-MultimediaViewer Jenkins job on macOS

https://gerrit.wikimedia.org/r/522080

Change 522080 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Selenium: do not run selenium-MultimediaViewer Jenkins job on macOS

https://gerrit.wikimedia.org/r/522080

Change 522089 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Delete selenium-MultimediaViewer Jenkins job

https://gerrit.wikimedia.org/r/522089

Change 521881 merged by jenkins-bot:
[integration/config@master] Do not run Ruby and/or Selenium jobs for CentralAuth

https://gerrit.wikimedia.org/r/521881

Change 522089 merged by jenkins-bot:
[integration/config@master] Delete selenium-MultimediaViewer Jenkins job

https://gerrit.wikimedia.org/r/522089

Change 522064 merged by jenkins-bot:
[integration/config@master] Do not run Ruby and/or Selenium jobs for GettingStarted

https://gerrit.wikimedia.org/r/522064

Change 521884 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/521884

Change 522066 merged by jenkins-bot:
[mediawiki/extensions/GettingStarted@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/522066

Change 521879 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/521879

zeljkofilipin changed the task status from Open to Stalled.Jul 15 2019, 10:36 AM
zeljkofilipin removed zeljkofilipin as the assignee of this task.